creadur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "P. Ottlinger" <pottlin...@aiki-it.de>
Subject Re: Compiler level - change ?!
Date Thu, 31 Jul 2014 08:03:55 GMT
On 2014-07-31 09:55, Jochen Wiedmann wrote:
> The usual discussion: AFAICT, noone actually cares for the compiler 
> level,
> as the current compilers are quite happy to process older levels. Are 
> there
> any hard reasons fpr changing?

I've integrated commons-lang3 and tried to unify the versions in all of 
creadur's poms and stumbled upon many problems.
Another hard reason is that there are no security fixes available for 
these older version and we should encourage users to stay up2date.
If you need to stay with an ancient version you have to use rat in an ol 
version as well.

The other problem is that it prevents us from updating dependencies 
internally.

Is there an overview of our users and their environment? Maybe there are 
no users that run on jdk1.5 anymore.

To my mind we should move forward once we're moving forward with newer 
versions of our own projects :-)

Cheers,
Phil

Mime
View raw message